import request from '@/utils/request'

// 查询群组申请记录列表
export function listImGroupApply(query) {
  return request({
    url: '/service/imGroupApply/list',
    method: 'get',
    params: query
  })
}

// 查询群组申请记录详细
export function getImGroupApply(id) {
  return request({
    url: '/service/imGroupApply/' + id,
    method: 'get'
  })
}

// 新增群组申请记录
export function addImGroupApply(data) {
  return request({
    url: '/service/imGroupApply',
    method: 'post',
    data: data
  })
}

// 修改群组申请记录
export function updateImGroupApply(data) {
  return request({
    url: '/service/imGroupApply',
    method: 'put',
    data: data
  })
}

// 删除群组申请记录
export function delImGroupApply(id) {
  return request({
    url: '/service/imGroupApply/' + id,
    method: 'delete'
  })
}
